xine-lib: pvr_input_plugin_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
pvr_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
char * | devname
xine_stream_t * | stream
xine_event_queue_t * | event_queue
pvrscr_t * | scr
int | scr_tunning
int | speed_before_pause
uint32_t | session
int | new_session
int | dev_fd
int | rec_fd
int | play_fd
uint32_t | rec_blk
uint32_t | rec_page
uint32_t | play_blk
uint32_t | play_page
uint32_t | first_page
uint32_t | max_page_age
uint32_t | show_page
uint32_t | save_page
uint32_t | page_block [10000]
char * | mrl
char * | tmp_prefix
char * | save_prefix
char * | save_name
xine_list_t * | saved_shows
int | saved_id
time_t | start_time
time_t | show_time
uint8_t | data [2048]
int | valid_data
int | want_data
pthread_mutex_t | lock
pthread_mutex_t | dev_lock
pthread_cond_t | has_valid_data
pthread_cond_t | wake_pvr
pthread_t | pvr_thread
int | pvr_running
int | pvr_playing
int | pvr_play_paused
int | preview_buffers
int | input
int | channel
uint32_t | frequency

## Field Documentation

## ◆ channel

int pvr_input_plugin_t::channel

## ◆ data

uint8_t pvr_input_plugin_t::data[2048]

## ◆ dev_fd

int pvr_input_plugin_t::dev_fd

## ◆ dev_lock

pthread_mutex_t pvr_input_plugin_t::dev_lock

## ◆ devname

char* pvr_input_plugin_t::devname

## ◆ event_queue

xine_event_queue_t* pvr_input_plugin_t::event_queue

## ◆ first_page

uint32_t pvr_input_plugin_t::first_page

## ◆ frequency

uint32_t pvr_input_plugin_t::frequency

## ◆ has_valid_data

pthread_cond_t pvr_input_plugin_t::has_valid_data

## ◆ input

int pvr_input_plugin_t::input

## ◆ input_plugin

input_plugin_t pvr_input_plugin_t::input_plugin

## ◆ lock

pthread_mutex_t pvr_input_plugin_t::lock

## ◆ max_page_age

uint32_t pvr_input_plugin_t::max_page_age

## ◆ mrl

char* pvr_input_plugin_t::mrl

## ◆ new_session

int pvr_input_plugin_t::new_session

## ◆ page_block

uint32_t pvr_input_plugin_t::page_block[10000]

## ◆ play_blk

uint32_t pvr_input_plugin_t::play_blk

## ◆ play_fd

int pvr_input_plugin_t::play_fd

## ◆ play_page

uint32_t pvr_input_plugin_t::play_page

## ◆ preview_buffers

int pvr_input_plugin_t::preview_buffers

## ◆ pvr_play_paused

int pvr_input_plugin_t::pvr_play_paused

## ◆ pvr_playing

int pvr_input_plugin_t::pvr_playing

## ◆ pvr_running

int pvr_input_plugin_t::pvr_running

## ◆ pvr_thread

pthread_t pvr_input_plugin_t::pvr_thread

## ◆ rec_blk

uint32_t pvr_input_plugin_t::rec_blk

## ◆ rec_fd

int pvr_input_plugin_t::rec_fd

## ◆ rec_page

uint32_t pvr_input_plugin_t::rec_page

## ◆ save_name

char* pvr_input_plugin_t::save_name

## ◆ save_page

uint32_t pvr_input_plugin_t::save_page

## ◆ save_prefix

char* pvr_input_plugin_t::save_prefix

## ◆ saved_id

int pvr_input_plugin_t::saved_id

## ◆ saved_shows

xine_list_t* pvr_input_plugin_t::saved_shows

## ◆ scr

pvrscr_t* pvr_input_plugin_t::scr

## ◆ scr_tunning

int pvr_input_plugin_t::scr_tunning

## ◆ session

uint32_t pvr_input_plugin_t::session

## ◆ show_page

uint32_t pvr_input_plugin_t::show_page

## ◆ show_time

time_t pvr_input_plugin_t::show_time

## ◆ speed_before_pause

int pvr_input_plugin_t::speed_before_pause

## ◆ start_time

time_t pvr_input_plugin_t::start_time

## ◆ stream

xine_stream_t* pvr_input_plugin_t::stream

## ◆ tmp_prefix

char* pvr_input_plugin_t::tmp_prefix

## ◆ valid_data

int pvr_input_plugin_t::valid_data

## ◆ wake_pvr

pthread_cond_t pvr_input_plugin_t::wake_pvr

## ◆ want_data

int pvr_input_plugin_t::want_data

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/input/input_pvr.c